Skip to main content
GET
/
v1
/
competitor_prices
/
{entity_id}
Get Competitor Price
curl --request GET \
  --url https://api.example.com/v1/competitor_prices/{entity_id}
import requests

url = "https://api.example.com/v1/competitor_prices/{entity_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/competitor_prices/{entity_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "competitor_name": "<string>",
  "observed_at": "2023-11-07T05:31:56Z",
  "regular_price": "<string>",
  "item_id": "<string>",
  "promo_price": "<string>",
  "currency": "<string>",
  "source_url": "<string>",
  "competitor_sku": "<string>",
  "barcode": "<string>",
  "status": "<string>",
  "stock_on_hand": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Path Parameters

entity_id
integer
required

Response

Successful Response

id
integer
required
competitor_name
string
required
observed_at
string<date-time>
required
regular_price
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
item_id
string | null
promo_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string | null
source_url
string | null
competitor_sku
string | null
barcode
string | null
status
string | null
stock_on_hand
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
created_at
string<date-time> | null
updated_at
string<date-time> | null